For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesChangelog
ReferenceGuidesChangelog
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
    • POSTResolve ID Token
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
  • CMS
      • GETList Collections
      • GETGet Collection Details
      • POSTCreate Collection
      • DELDelete Collection
  • Forms
  • Custom Code
  • Assets
  • Comments
    • GETSearch Users by Email
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
    • POSTCreate Comment Reply
  • Ecommerce
  • Webhooks
  • Site Configuration
  • Enterprise
  • App Subscriptions
    • GETGet app subscriptions
LogoLogo
Resources
Get started
CMSCollections

List Collections

GET
https://api.webflow.com/beta/sites/:site_id/collections
GET
/beta/sites/:site_id/collections
$curl https://api.webflow.com/beta/sites/580e63e98c9a982ac9b8b741/collections \
> -H "Authorization: Bearer <token>"
1{
2 "collections": [
3 {
4 "id": "63692ab61fb2852f582ba8f5",
5 "displayName": "Products",
6 "singularName": "Product",
7 "slug": "product",
8 "createdOn": "2019-06-12T13:35:14.238Z",
9 "lastUpdated": "2022-11-17T15:08:50.480Z"
10 },
11 {
12 "id": "63692ab61fb2856e6a2ba8f6",
13 "displayName": "Categories",
14 "singularName": "Category",
15 "slug": "category",
16 "createdOn": "2019-06-12T13:35:14.238Z",
17 "lastUpdated": "2022-11-17T15:08:50.481Z"
18 },
19 {
20 "id": "63692ab61fb285a8562ba8f4",
21 "displayName": "SKUs",
22 "singularName": "SKU",
23 "slug": "sku",
24 "createdOn": "2019-06-12T13:35:14.238Z",
25 "lastUpdated": "2022-11-17T15:08:50.478Z"
26 }
27 ]
28}

List of all Collections within a Site.

Required scope | cms:read

Was this page helpful?
Previous

Get Collection Details

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

site_idstringRequiredformat: "objectid"
Unique identifier for a Site

Response

Request was successful
collectionslist of objects
An array of Collections

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error